Bug 1306299 - Review Request: perl-Time-Moment - Represents a date and time of day with an offset from UTC
Review Request: perl-Time-Moment - Represents a date and time of day with an ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 08:51 EST by Denis Fateyev
Modified: 2016-04-14 01:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 01:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2016-02-10 08:51:00 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Time-Moment.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Time-Moment-0.38-1.fc24.src.rpm
Description: Time::Moment is an immutable object representing a date and time of day with an offset from UTC in the ISO 8601 calendar system.
Fedora Account System Username: dfateyev

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12927509
Comment 1 Petr Šabata 2016-02-11 10:49:59 EST
* Consider bumping the CBOR-XS version constraint to 1.3 to guarantee the
  required 1.25 features are available.

* The required version of Sereal is `2.060'.  That should work fine; we ship
  v3+ in all branches and this module doesn't have a bad versioning history yet.

* You can drop a number of buildtime deps:
  - ExtUtils::ParseXS -- the code is not called
  - File::Temp -- neither is this
  - Pod::Html -- nor this (only the default text README is generated)
  - Pod::Man -- nor this
  - Time::HiRes -- this one is only needed on systems without gettimeofday(2)

* You should also drop the Time::HiRes runtime dependency.

* This package bundles the `c-dt' library.
  https://github.com/chansen/c-dt
  You should provide the bundled symbol, e.g. `bundled(c-dt)'.

* c-dt is distributed under the two-clause BSD license.  Reflect that in your
  License tag with `(GPL+ or Artistic) and BSD'.
Comment 2 Petr Šabata 2016-02-11 11:01:39 EST
* Oh and one missing build dep: ExtUtils::MM_Unix, via version_from and
  abstract_from (called from all_from).
Comment 4 Upstream Release Monitoring 2016-02-11 12:32:23 EST
dfateyev's scratch build of perl-Time-Moment-0.38-2.fc23.denf.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12945434
Comment 5 Petr Šabata 2016-02-12 06:38:47 EST
Acking all & approving.
Comment 6 Gwyn Ciesla 2016-02-12 08:01:50 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Time-Moment
Comment 7 Fedora Update System 2016-03-28 15:18:54 EDT
perl-Time-Moment-0.38-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d9bd4483d5
Comment 8 Fedora Update System 2016-03-29 19:49:26 EDT
perl-Time-Moment-0.38-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d9bd4483d5
Comment 9 Fedora Update System 2016-04-14 01:36:26 EDT
perl-Time-Moment-0.38-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.